# DIR - Directory List

Syntax | <DIR>...</DIR>

Attribute Specifications

- COMPACT (compact display)
- common attributes

Contents | One or more LI elements that cannot contain block-level elements
Contained in | APPLET, BLOCKQUOTE, BODY, BUTTON, CENTER, DD, DEL, DIV, FIELDSET, FORM, IFRAME, INS, LI, MAP, NOFRAMES, NOSCRIPT, OBJECT, TD, TH

The DIR element defines a directory list. The element contains one or more LI elements that define the actual items of the list. The LI elements must not contain block-level elements, which prevents DIRs from being nested.

The COMPACT attribute suggests that visual browsers render the list compactly, perhaps with reduced spacing between items. This attribute is not well supported among browsers.

DIR is deprecated in HTML 4.0 in favor of UL.

## More Information

- DIR in W3C HTML 4.0 Recommendation
- DIR in W3C HTML 3.2 Recommendation
- DIR in HTML 2.0 Standard
- DIR in WDG HTML 3.2 Reference
- DIR in Learning HTML 3.2 by Examples